Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HProcessInstance

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HProcessInstance

    public class HProcessInstance

extends HObject

Hibernate table representing a BPEL process instance.

Field Summary
`static java.lang.String` | `COUNT_FAILED_INSTANCES_BY_STATUS_AND_PROCESS_ID`
`static java.lang.String` | `COUNT_INSTANCeS_BY_STATUS_AND_PROCESS_ID`
`static java.lang.String` | `DELETE_INSTANCES_BY_PROCESS`
`static java.lang.String` | `SELECT_ACTIVE_INSTANCES`

Constructor Summary
`HProcessInstance()`

Method Summary
`int` | `getActivityFailureCount()`
`java.util.Date` | `getActivityFailureDateTime()`
`java.util.Collection<HActivityRecovery>` | `getActivityRecoveries()`
`java.util.Collection<HCorrelationSet>` | `getCorrelationSets()`
`java.util.Set<HCorrelatorSelector>` | `getCorrelatorSelectors()`
`java.util.Collection<HBpelEvent>` | `getEvents()`
`int` | `getExecutionStateCounter()`
`HFaultData` | `getFault()`
`HCorrelator` | `getInstantiatingCorrelator()`
`HLargeData` | `getJacobState()`
`java.util.Date` | `getLastActiveTime()`
`java.util.Set<HMessageExchange>` | `getMessageExchanges()`
`short` | `getPreviousState()`
`HProcess` | `getProcess()`
`java.util.Collection<HScope>` | `getScopes()`
`long` | `getSequence()`
`short` | `getState()`
`void` | `setActivityFailureCount(int count)`
`void` | `setActivityFailureDateTime(java.util.Date dateTime)`
`void` | `setActivityRecoveries(java.util.Collection<HActivityRecovery> activityRecoveries)`
`void` | `setCorrelationSets(java.util.Collection<HCorrelationSet> csets)`
`void` | `setCorrelatorSelectors(java.util.Set<HCorrelatorSelector> selectors)`
`void` | `setEvents(java.util.Collection<HBpelEvent> events)`
`void` | `setExecutionStateCounter(int stateCounter)`
`void` | `setFault(HFaultData fault)`
`void` | `setInstantiatingCorrelator(HCorrelator instantiatingCorrelator)`
`void` | `setJacobState(HLargeData jacobState)`
`void` | `setLastActiveTime(java.util.Date lastActiveTime)`
`void` | `setMessageExchanges(java.util.Set<HMessageExchange> exchanges)`
`void` | `setPreviousState(short previousState)`
`void` | `setProcess(HProcess process)`
`void` | `setScopes(java.util.Collection<HScope> scopes)`
`void` | `setSequence(long seq)`
`void` | `setState(short state)`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SELECT_ACTIVE_INSTANCES

    public static final java.lang.String SELECT_ACTIVE_INSTANCES

See Also:
  Constant Field Values

### DELETE_INSTANCES_BY_PROCESS

    public static final java.lang.String DELETE_INSTANCES_BY_PROCESS

See Also:
  Constant Field Values

### COUNT_FAILED_INSTANCES_BY_STATUS_AND_PROCESS_ID

    public static final java.lang.String COUNT_FAILED_INSTANCES_BY_STATUS_AND_PROCESS_ID

See Also:
  Constant Field Values

### COUNT_INSTANCeS_BY_STATUS_AND_PROCESS_ID

    public static final java.lang.String COUNT_INSTANCeS_BY_STATUS_AND_PROCESS_ID

See Also:
  Constant Field Values

Constructor Detail

### HProcessInstance

    public HProcessInstance()

Method Detail

### getInstantiatingCorrelator

    public HCorrelator getInstantiatingCorrelator()

### setInstantiatingCorrelator

    public void setInstantiatingCorrelator(HCorrelator instantiatingCorrelator)

### getFault

    public HFaultData getFault()

### setFault

    public void setFault(HFaultData fault)

### getJacobState

    public HLargeData getJacobState()

### setJacobState

    public void setJacobState(HLargeData jacobState)

### getEvents

    public java.util.Collection<HBpelEvent> getEvents()

### setEvents

    public void setEvents(java.util.Collection<HBpelEvent> events)

### getCorrelatorSelectors

    public java.util.Set<HCorrelatorSelector> getCorrelatorSelectors()

### setCorrelatorSelectors

    public void setCorrelatorSelectors(java.util.Set<HCorrelatorSelector> selectors)

  Parameters:
    `selectors` - the _correlatorSelectors to set

### getMessageExchanges

    public java.util.Set<HMessageExchange> getMessageExchanges()

### setMessageExchanges

    public void setMessageExchanges(java.util.Set<HMessageExchange> exchanges)

### getPreviousState

    public short getPreviousState()

### setPreviousState

    public void setPreviousState(short previousState)

### getProcess

    public HProcess getProcess()

### setProcess

    public void setProcess(HProcess process)

### getScopes

    public java.util.Collection<HScope> getScopes()

### setScopes

    public void setScopes(java.util.Collection<HScope> scopes)

### getCorrelationSets

    public java.util.Collection<HCorrelationSet> getCorrelationSets()

### setCorrelationSets

    public void setCorrelationSets(java.util.Collection<HCorrelationSet> csets)

### getState

    public short getState()

### setState

    public void setState(short state)

### getLastActiveTime

    public java.util.Date getLastActiveTime()

### setLastActiveTime

    public void setLastActiveTime(java.util.Date lastActiveTime)

### setSequence

    public void setSequence(long seq)

### getSequence

    public long getSequence()

### getActivityRecoveries

    public java.util.Collection<HActivityRecovery> getActivityRecoveries()

### setActivityRecoveries

    public void setActivityRecoveries(java.util.Collection<HActivityRecovery> activityRecoveries)

### getActivityFailureCount

    public int getActivityFailureCount()

### setActivityFailureCount

    public void setActivityFailureCount(int count)

### getActivityFailureDateTime

    public java.util.Date getActivityFailureDateTime()

### setActivityFailureDateTime

    public void setActivityFailureDateTime(java.util.Date dateTime)

### getExecutionStateCounter

    public int getExecutionStateCounter()

  Returns:

### setExecutionStateCounter

    public void setExecutionStateCounter(int stateCounter)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD